FlxpointAPI Help CenterBeta

Get Converted Value

gethttps://api.flxpoint.com/mapping-set/{id}/convert

Use this when you want to pull mappingset data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Attempt to convert a given value using a mapping set.

Request

Query parameters
  • fromValuequerystringrequired

    The value to attempt to convert using the mapping set

Example request

get/mapping-set/{id}/convert
curl -X GET "https://api.flxpoint.com/mapping-set/{id}/convert" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
convertedbooleanrequired
fromValuestringrequired
toValuestringrequired
Example response
{
  "converted": true,
  "fromValue": "string",
  "toValue": "string"
}
OpenAPI fragment
{
  "get": {
    "summary": "Get Converted Value",
    "description": "Attempt to convert a given value using a mapping set.",
    "parameters": [
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "fromValue",
        "description": "The value to attempt to convert using the mapping set",
        "required": true
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/MappingSetConvertResponse"
            }
          }
        }
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight